summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-04-15 07:19:24 +0200
committerHans de Graaff <graaff@gentoo.org>2018-04-15 07:19:24 +0200
commitd737f2e32a7dd5b8bd6c82f3010c201a9b29eb7a (patch)
treecc8be53f113ecf7f9970bdbea7be00f20ceae715 /dev-libs/Ice
parentdev-ruby/prawn-table: add ruby24 (diff)
downloadgentoo-d737f2e32a7dd5b8bd6c82f3010c201a9b29eb7a.tar.gz
gentoo-d737f2e32a7dd5b8bd6c82f3010c201a9b29eb7a.tar.bz2
gentoo-d737f2e32a7dd5b8bd6c82f3010c201a9b29eb7a.zip
dev-libs/Ice: use ruby23
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-libs/Ice')
-rw-r--r--dev-libs/Ice/Ice-3.6.3-r1.ebuild10
-rw-r--r--dev-libs/Ice/Ice-3.6.3.ebuild10
2 files changed, 10 insertions, 10 deletions
diff --git a/dev-libs/Ice/Ice-3.6.3-r1.ebuild b/dev-libs/Ice/Ice-3.6.3-r1.ebuild
index 0b7d354a2ef..b4bee2e8a66 100644
--- a/dev-libs/Ice/Ice-3.6.3-r1.ebuild
+++ b/dev-libs/Ice/Ice-3.6.3-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -6,7 +6,7 @@ EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
RUBY_OPTIONAL="yes"
-USE_RUBY="ruby22"
+USE_RUBY="ruby23"
PHP_EXT_NAME="IcePHP"
PHP_EXT_INI="yes"
@@ -41,7 +41,7 @@ RDEPEND=">=dev-libs/expat-2.0.1
)
dev-cpp/libmcpp
python? ( ${PYTHON_DEPS} )
- ruby? ( $(ruby_implementation_depend ruby22) )
+ ruby? ( $(ruby_implementation_depend ruby23) )
mono? ( dev-lang/mono )
php? ( dev-lang/php:7.0 )
!dev-python/IcePy
@@ -174,13 +174,13 @@ src_configure() {
fi
if use ruby; then
- SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
+ SITERUBY="$(ruby23 -r rbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')"
MAKE_RULES_RUBY=(
"install_rubydir=\"${ED%/}/${SITERUBY}\""
"install_libdir=\"${ED%/}/${SITERUBY}\""
)
- # make it use ruby22 only
+ # make it use ruby23 only
sed -i \
-e 's|RUBY = ruby|\022|' \
ruby/config/Make.rules || die "sed failed"
diff --git a/dev-libs/Ice/Ice-3.6.3.ebuild b/dev-libs/Ice/Ice-3.6.3.ebuild
index 33bd9a462f9..a873c8bd3be 100644
--- a/dev-libs/Ice/Ice-3.6.3.ebuild
+++ b/dev-libs/Ice/Ice-3.6.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -6,7 +6,7 @@ EAPI=5
PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
RUBY_OPTIONAL="yes"
-USE_RUBY="ruby22"
+USE_RUBY="ruby23"
PHP_EXT_NAME="IcePHP"
PHP_EXT_INI="yes"
@@ -41,7 +41,7 @@ RDEPEND=">=dev-libs/expat-2.0.1
)
dev-cpp/libmcpp
python? ( ${PYTHON_DEPS} )
- ruby? ( $(ruby_implementation_depend ruby22) )
+ ruby? ( $(ruby_implementation_depend ruby23) )
mono? ( dev-lang/mono )
php? ( dev-lang/php:7.0 )
!dev-python/IcePy
@@ -173,13 +173,13 @@ src_configure() {
fi
if use ruby; then
- SITERUBY="$(ruby22 -r rbconfig -e 'print RbConfig::CONFIG[\"sitelibdir\"]')"
+ SITERUBY="$(ruby23 -r rbconfig -e 'print RbConfig::CONFIG[\"sitelibdir\"]')"
MAKE_RULES_RUBY=(
"install_rubydir=\"${ED%/}/${SITERUBY}\""
"install_libdir=\"${ED%/}/${SITERUBY}\""
)
- # make it use ruby22 only
+ # make it use ruby23 only
sed -i \
-e 's|RUBY = ruby|\022|' \
ruby/config/Make.rules || die "sed failed"